Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2047 (new defect)

Opened 13 years ago

Last modified 13 years ago

AR5416 and the stuck beacon thing...

Reported by: chunkeey Assigned to:
Priority: major Milestone:
Component: madwifi: driver Version: trunk
Keywords: stuck beacon Cc:
Patch is attached: 1 Pending:

Description

well, I came across the following message the other day, when I was playing with my unstable AP...

[ 2272.119894] wifi1: ath_bstuck_tasklet: Stuck beacon; resetting (beacon miss count: 11)
[ 2272.233363] wifi1: ath_bstuck_tasklet: Stuck beacon; resetting (beacon miss count: 641)

so, what's so spectacular about this?

Well, the hardware/driver somehow called "ath_beacon_send" about 614 times within 113.5 milliseconds and this seems to be a way too much for a single VAP with a beacon interval of ~100ms?

Signed-off-by: Christian Lamparter <chunkeey@web.de>

Attachments

madwifi-stuckbeacon.diff (4.0 kB) - added by chunkeey@web.de on 07/12/08 14:35:20.
testpatch

Change History

07/12/08 14:35:20 changed by chunkeey@web.de

  • attachment madwifi-stuckbeacon.diff added.

testpatch

07/13/08 10:45:54 changed by gig-tmb@yandex.ru

Hi all!

system:
madwifi-hal-0.10.5.6 - r3752
OpenWrt - revision 11572
Kernel - 2.6.25.7
uClibc - 0.9.29
GCC - 4.1.2

after add this patch, ap startup, 2 clients connected /wpa-tsl auth/ &
after few seconds ap down, i can't see ssid in windows supplicant, but got ip
from dhcp, but ap not ping. From openwrt i cant ping too
in my case it patch not work!

(follow-up: ↓ 3 ) 07/13/08 13:51:31 changed by anonymous

well, do you see lots of:

ath_bstuck_tasklet: Stuck beacon; resetting (beacon miss count: x)

where x is higher than BSTUCK_THRESH in your logs or not?

(in reply to: ↑ 2 ; follow-up: ↓ 4 ) 07/13/08 14:45:04 changed by anonymous

Replying to anonymous: where x is higher than BSTUCK_THRESH in your logs or not?

No, dmesg not show anything, after load all clean!

(in reply to: ↑ 3 ; follow-up: ↓ 5 ) 07/13/08 15:29:49 changed by anonymous

Replying to anonymous:

Replying to anonymous: where x is higher than BSTUCK_THRESH in your logs or not? No, dmesg not show anything, after load all clean!

So, in other words: you have problems with your wifi that are unrelated to this ticket!?

(in reply to: ↑ 4 ) 07/13/08 16:57:26 changed by anonymous

Replying to anonymous:

So, in other words: you have problems with your wifi that are unrelated to this ticket!?

I have ubiquiti SR5 or 5413 & i don't have ath_bstuck_tasklet errors But, when i add this patch driver won't work with problems attached high!

07/13/08 17:46:10 changed by gig-tmb@yandex.ru

new funny stuff from dmesg
wifi0: ath_fatal_tasklet: Hardware error; resetting.
Virtual device ath0 asks to queue packet[[BR]] Virtual device ath0 asks to queue packet[[BR]] Virtual device ath0 asks to queue packet[[BR]] Virtual device ath0 asks to queue packet[[BR]] Virtual device ath0 asks to queue packet[[BR]] Virtual device ath0 asks to queue packet[[BR]] Virtual device ath0 asks to queue packet[[BR]]

it's ping in error time
64 bytes from 172.16.0.1: seq=373 ttl=64 time=1.420 ms
64 bytes from 172.16.0.1: seq=374 ttl=64 time=1.599 ms
64 bytes from 172.16.0.1: seq=375 ttl=64 time=1.646 ms
64 bytes from 172.16.0.1: seq=376 ttl=64 time=1.884 ms
64 bytes from 172.16.0.1: seq=377 ttl=64 time=1.603 ms
64 bytes from 172.16.0.1: seq=378 ttl=64 time=18208.087 ms
64 bytes from 172.16.0.1: seq=379 ttl=64 time=17199.951 ms
64 bytes from 172.16.0.1: seq=380 ttl=64 time=16191.404 ms
64 bytes from 172.16.0.1: seq=381 ttl=64 time=15182.840 ms
64 bytes from 172.16.0.1: seq=382 ttl=64 time=14174.304 ms

64 bytes from 172.16.0.1: seq=383 ttl=64 time=13165.736 ms

64 bytes from 172.16.0.1: seq=384 ttl=64 time=12157.219 ms 64 bytes from 172.16.0.1: seq=385 ttl=64 time=11148.683 ms 64 bytes from 172.16.0.1: seq=386 ttl=64 time=10140.203 ms

(follow-up: ↓ 9 ) 07/13/08 20:44:28 changed by anonymous

wifi0: ath_fatal_tasklet: Hardware error; resetting.

well a fatal error happend... but why? are you sure you hardware is really working fine and not damaged?

forum.ubnt.com/forum/viewtopic.php?t=2788

07/14/08 20:56:17 changed by gmsoft@tuxicoman.be

Please commit this patch upstream. It works like a charm.

00:14.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
Linux splat 2.6.25.4 #6 Sun Jun 8 17:42:49 CEST 2008 i686 VIA Samuel 2 CentaurHauls GNU/Linux

(in reply to: ↑ 7 ) 07/15/08 07:30:55 changed by anonymous

Replying to anonymous:

{{{ wifi0: ath_fatal_tasklet: Hardware error; resetting. }}} well a fatal error happend... but why? are you sure you hardware is really working fine and not damaged?

forum.ubnt.com/forum/viewtopic.php?t=2788

it's my post, i just try find something NORMAL, STABLE for me & i try many kinds of drivers, last madwifi & from ubiquiti & can't find something properly work[[BR]]

Eap! my hardware work fine, in i take something from stable revision, e.g. 0.9.4 i can,t see any warnings or errors, but in crypto mode i have loose much packets! in stable brunch ~ 1%

07/15/08 08:43:56 changed by gig-tmb@yandex.ru

Also on one board i have 2 different cards e.g. WLM54 from compex, but messages equal!

07/15/08 11:47:55 changed by corristo

yeap, everyone is looking for a stable these days... whenever it's a (mad)wifi driver or credits... And guess we are still looking for one!

So, have you already open'd your own ticket instead of hijacking this one? I really like this patch too since it solved my 99% ksoftirqd problem I had for a very long time...

Are there any comments from the driver maintainer if this patch (or something equally) will be merged to the trunk?

07/15/08 14:44:11 changed by gig-tmb@yandex.ru

But if i use only sta mode! all work fine without any errors & timeouts!

07/15/08 14:53:51 changed by mrenzmann

The patch that's attached to this ticket is discussed in this thread on madwifi-devel.

08/18/08 14:27:48 changed by willem@crossbone.org

Hello

I applied the patch yesterday evening to madwifi-hal-0.10.5.6-r3835. The bad thing is, unfortunately, the patch doesn't help in my case. I still get about two stuck beacon errors/messages per minute.

The good thing is, the machine runs stable for 13:31 h now, so the patch seems to do nothing bad in my case.

I am using an Atheros 2425 (5007eg) based PCIe card from Abit. I am running ubuntu linux 8.04.1 with kernel 2.6.26 The kernel and driver was compiled with gcc 4.2.3

11/14/08 14:59:52 changed by Kneza

I have also problems with stuck baecon on CM9 with last svn version and kernel 2.6.27.5. Attached patch didn't help me :(

64 bytes from 10.26.64.182: icmp_seq=149 ttl=64 time=0.392 ms
64 bytes from 10.26.64.182: icmp_seq=150 ttl=64 time=0.384 ms
64 bytes from 10.26.64.182: icmp_seq=151 ttl=64 time=0.411 ms
64 bytes from 10.26.64.182: icmp_seq=152 ttl=64 time=0.388 ms
64 bytes from 10.26.64.182: icmp_seq=153 ttl=64 time=0.409 ms
64 bytes from 10.26.64.182: icmp_seq=154 ttl=64 time=0.456 ms
64 bytes from 10.26.64.182: icmp_seq=155 ttl=64 time=29.2 ms
64 bytes from 10.26.64.182: icmp_seq=162 ttl=64 time=1001 ms
64 bytes from 10.26.64.182: icmp_seq=163 ttl=64 time=1.85 ms
64 bytes from 10.26.64.182: icmp_seq=164 ttl=64 time=0.392 ms
64 bytes from 10.26.64.182: icmp_seq=165 ttl=64 time=0.394 ms
64 bytes from 10.26.64.182: icmp_seq=166 ttl=64 time=0.397 ms

ping 155 = start of problem then in dmesg:

wifi2: ath_bstuck_tasklet: Stuck beacon; resetting (beacon miss count: 16)

ping 163 = end of problem

11/14/08 15:15:12 changed by Kneza

And the problem is only in AP mode, in STA everything is okey...

11/15/08 20:30:17 changed by anonymous

Guys can you read?! It's for AR5416 and not for any other garbage!